#include "pairs.hh"

Level Bombman =
{
	2, // level number
	"Bombman",

	// screens:
	{
		{
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"====####========"   "                "
		"....####........"   "                "
		"====####========"   "                "
		"....####........"   "                "
		, 0 // monster graphics index
		,LevelBegin| Right},
		{
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "          j     "
		"........####...."   "                "
		"........####...."   "      j      j  "
		"....====####==.."   "                "
		"....====####...."   "   j           j"
		"========####===="   "                "
		"........####===="   "                "
		"========####===="   "                "
		"........####...."   "                "
		"========####===="   "                "
		"........####...."   "                "
		, 0 // monster graphics index
		,Right},
		{
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"====####========"   "                "
		"....####........"   "                "
		"====####========"   "                "
		"....####........"   "                "
		, 0 // monster graphics index
		,Right},
		{
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"..##......##...."   "                "
		"..##......##...."   "                "
		"==##....==##...."   "                "
		"==##......##...."   "                "
		"==##..====##..=="   "                "
		"..##..====##...."   "                "
		"==##......##..=="   "     B       B  "
		"..##......##...."   "                "
		, 0 // monster graphics index
		,Right},
		{
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"..##......##...."   "                "
		"..##......##...."   "                "
		"==##....==##...."   "                "
		"==##......##...."   "                "
		"==##..====##..=="   "                "
		"..##..====##...."   "                "
		"==##......##..=="   "     B       B  "
		"..##......##...."   "                "
		, 0 // monster graphics index
		,Right},
		{
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		".............##."   "                "
		"....##...====##."   "                "
		"....##.........."   "                "
		"..==##.........."   "                "
		"....##.........."   "                "
		"====##=======##="   "          v     "
		"....##=======##."   "                "
		"====##=======##="   "                "
		"....##=======##."   "                "
		, 0 // monster graphics index
		,Right},
		{
		"..............|="   "                "
		"..............|="   "                "
		"..............|="   "                "
		"..............|="   "                "
		".......======##="   "  ee            "
		"..==.........##."   "                "
		"..........===##="   "                "
		"......=....==##="   "                "
		"............=##="   "                "
		".............##."   "                "
		".....=.......##="   "            P   "
		"...........==##="   "                "
		"=============##="   "v     v         "
		".............##."   "                "
		"=============##="   "                "
		".............##="   "                "
		, 0 // monster graphics index
		,Up},
		{
		"..|........====="   "                "
		"..|.........===="   "                "
		"..|............="   "                "
		"..|...........=="   "                "
		"..==##==|=.....="   "                "
		"....##..|=.....="   "      >         "
		"....##..|=##...="   "                "
		"....##..|=##...."   "      ^         "
		"....##..|.##==|="   "                "
		"....##..|=##==|."   "      >         "
		"....##..|....=|="   "                "
		"....##..|....=|="   "      ^     E   "
		"........==##==|="   "                "
		"^^^^^^^^..##..|."   "                "
		"==========##==|="   "                "
		"..........##..|="   "                "
		, 1 // monster graphics index
		,Up},
		{
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"..|=====####===="   "                "
		"..|=====####...."   "                "
		"..|=====####===="   "                "
		"..|=====####...."   "                "
		, 1 // monster graphics index
		,Right},
		{
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "G               "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"====####========"   "                "
		"....####........"   "                "
		"====####========"   "                "
		"....####........"   "                "
		, 1 // monster graphics index
		,Right},
		{
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"..##......##...."   "                "
		"..##......##...."   "         <      "
		"==##....==##...."   "        s       "
		"==##......##...."   "                "
		"==##..====##..=="   "                "
		"..##..====##...."   "                "
		"==##......##..=="   "                "
		"..##......##...."   "                "
		, 1 // monster graphics index
		,Right},
		{
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"..##......##...."   "                "
		"..##......##...."   " <       <      "
		"==##....==##...."   "                "
		"==##......##...."   "                "
		"==##..====##..=="   "                "
		"..##..====##...."   "                "
		"==##......##..=="   "                "
		"..##......##...."   "                "
		, 1 // monster graphics index
		,Right},
		{
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"..|##=======...."   "                "
		"..|##=======...."   "                "
		"..|##..........."   "                "
		"..|##..........."   "            f   "
		"..|##..=======##"   "                "
		"..|##..=======##"   "                "
		"..|##..........."   "                "
		"..|##..........."   "                "
		"===##=========##"   "                "
		"...##=========##"   "                "
		"===##.........##"   "                "
		"...##.........##"   "                "
		, 1 // monster graphics index
		,Right},
		{
		"..............|="   "                "
		"..............|="   "                "
		"..............|="   "                "
		"..............|="   "                "
		".......======##="   "  f             "
		"..==.........##."   "                "
		"..........===##="   "                "
		"......=....==##="   "                "
		"............=##="   "                "
		".............##."   "                "
		".....=.......##="   "                "
		"...........==##="   "          f     "
		"=============##="   "                "
		".............##."   "                "
		"=============##="   "                "
		".............##="   "                "
		, 1 // monster graphics index
		,Up},
		{
		"..|............."   "                "
		"..|............."   "                "
		"..|............."   "                "
		"..|............."   "                "
		"..|............."   "                "
		"..|..=...=...=|="   "                "
		"..|...........|="   "                "
		"..|...........|="   "                "
		"..|...........|."   "               s"
		"..|...........|="   "                "
		"..|...........|."   "                "
		"..|...........|="   "                "
		"......========|="   "                "
		"^^^^^^........|="   "                "
		"==============|."   "                "
		"..............|."   "                "
		, 1 // monster graphics index
		,Up| RestartPointA},
		{
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"........=...=..."   "                "
		"................"   "               u"
		"................"   "                "
		".......=........"   "                "
		"................"   "                "
		"..|##..........."   "                "
		"..|##^^^^^^^^^^^"   "                "
		"..|##==========="   "                "
		"..|##==========="   "                "
		, 2 // monster graphics index
		,Right},
		{
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"====####========"   "                "
		"....####........"   "                "
		"====####========"   "                "
		"....####........"   "                "
		, 2 // monster graphics index
		,Right},
		{
		"........##......"   "                "
		"........##......"   "                "
		".....##.##......"   "                "
		".....##.##......"   "                "
		"..|==##........."   "             G  "
		"..|==##........."   "                "
		"..|..##.##......"   "                "
		"..|==##.##......"   "               U"
		"..|..##.##======"   "                "
		"..|==##.##======"   "                "
		"..|==##........."   "                "
		"..|==##........."   "                "
		"=====##========="   "                "
		".....##........."   "                "
		"=====##========="   "                "
		".....##........."   "           u    "
		, 2 // monster graphics index
		,Right},
		{
		"......====####=="   "                "
		"......====####=="   "                "
		"..........####=="   "                "
		"......====####.."   "                "
		"..........####=="   "                "
		"......====####=="   "                "
		"......====####=="   "                "
		"......====####=="   "                "
		"==========####.."   "                "
		"==========####.."   "                "
		"................"   "                "
		"................"   "                "
		"==========####=="   "                "
		"..........####=="   "                "
		"==========####=="   "                "
		"..........####.."   "                "
		, 2 // monster graphics index
		,Right},
		{
		".............###"   "                "
		".............###"   "                "
		".............###"   "                "
		".............###"   "                "
		".............###"   "                "
		".............###"   "                "
		"..............DD"   "              SS"
		"..............DD"   "              SS"
		"..............DD"   "             GSS"
		"..............DD"   "              SS"
		"..........##===="   "                "
		"..........##===="   "                "
		"==========##===="   "                "
		"==========##===="   "                "
		"==========##===="   "                "
		"..........##===="   "                "
		, 2 // monster graphics index
		,Shutter},
		{
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"==========##...."   "                "
		"==========##...."   "                "
		"          ##...."   "                "
		"          ##...."   "                "
		"          ##...."   "                "
		"          ##...."   "                "
		"====##  | ##...."   "                "
		"====##  | ##...."   "                "
		"....##  | ##...."   "                "
		"....##  | ##...."   "                "
		"....##  | ##...."   "                "
		"....##  | ##...."   "                "
		, 3 // monster graphics index
		,Down| RestartPointB},
		{
		"....##  | ##...."   "                "
		"....##  | ##...."   "                "
		"....##  | ##...."   "                "
		"....##  | ##...."   "                "
		"....##  | ##...."   "      h         "
		"....##  | ##...."   "                "
		"....##  | ##...."   "                "
		"....##  | ##...."   "                "
		"....##  | ##...."   "         h      "
		"....##  | ##...."   "                "
		"....##  | ##...."   "                "
		"....##  | ##...."   "      h         "
		"....##  | ##...."   "                "
		"....##  | ##...."   "         h      "
		"....##  | ##...."   "                "
		"....##  | ##...."   "                "
		, 3 // monster graphics index
		,Down},
		{
		"....##  | ##...."   "                "
		"....##  | ##...."   "                "
		"....##  | ##...."   "                "
		"....##  | ##...."   "                "
		"....##  | ##...."   "      h         "
		"....##  | ##...."   "                "
		"....##  | ##...."   "                "
		"....##  | ##...."   "                "
		"....##  | ##...."   "         h      "
		"....##  | ##...."   "                "
		"....##  | ##...."   "                "
		"....##  | ##...."   "      h         "
		"....##  | ##...."   "                "
		"....##  | ##...."   "         h      "
		"....##  | ##...."   "                "
		"....##  | ##...."   "                "
		, 3 // monster graphics index
		,Down},
		{
		"#===##    ##===#"   "                "
		"#===##    ##===#"   "                "
		"#              #"   "                "
		"#              #"   "                "
		"#              #"   "                "
		"#              #"   "                "
		"#              #"   "                "
		"#              #"   "                "
		"#              #"   "                "
		"#              #"   "                "
		"#              #"   "                "
		"#              #"   "                "
		"#===##====##===#"   "                "
		"#===##====##===#"   "                "
		"#===##====##===#"   "                "
		"#===##====##===#"   "                "
		, 4 // monster graphics index
		,End},
	},

	// palette
	{
		15, 32, 16, 17, 
		15, 32, 16, 33, 
		15, 41, 25,  7, 
		15, 39,  6, 33, 

		15, 44, 17, 15, 
		15, 32, 56, 15, 
		15, 48, 21, 15, 
		15, 48, 17, 15, 

		15, 32, 16, 17, 
		15, 32, 16, 33, 
		15, 32, 16,  0, 
		15, 39,  6, 33, 
	},

	// after doors palette
	{
		15, 48, 16,  6, 
		15, 27, 11,  0, 
		15, 39, 22,  6, 
		15, 38, 22,  6, 

	},

	// actives
	{
	},

	// enemies
	{
	},

	// level gfx (id, count) (max 16); id is block*4+bank
	{
		{ 0x40, 8 }, { 0xBA, 1 }, { 0x7E, 2 }, { 0x7A, 2 }, 
		{ 0xE2, 1 }, { 0xD8, 1 }, { 0x5E, 1 }, { 0xC0, 8 }, 
		{ 0x81, 8 }, 
	},

	// monster gfx tables (max 11) (5 tiles, 2*3bytepalette)
	{
		{ { 0xBA, 0x7E, 0xAE, 0x7A, 0x7E, }, { 48,21,15, 48,17,15,} },
		{ { 0x96, 0x9A, 0x9E, 0x62, 0x72, }, { 48,42,15, 48,38,15,} },
		{ { 0x96, 0x9A, 0x9E, 0x7A, 0x72, }, { 48,42,15, 48,38,15,} },
		{ { 0x6E, 0xCA, 0x76, 0x76, 0x7E, }, { 48,21,15, 48,21,15,} },
		{ { 0x80, 0x84, 0x88, 0x8C, 0x4A, }, { 39,21,15, 48,38,15,} },
	},

	0x20, // Arrival input

	BombmanAscii, BombmanChar
};
